
Redmine - Defect #1071

Wiki/News/Documents truncate contents to 64K in MYSQL

2008-04-17 02:19 - W Snyder

Status: Closed Start date: 2008-04-17

Priority: Urgent Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed Affected version: 0.8.7

Description

I've found wiki posts over 64K get silently truncated.  The problem is in the SQL specification of the following databases/fields is

TEXT (64K) instead of MEDIUMTEXT (16MB) or LONGTEXT (>16MB):

table changesets comments

table comments comments

table documents description

table issues description

table journals notes

table messages content

table news description

table projects description

table wiki_contents text

Perhaps some of these don't need to change but I think most should be MEDIUMTEXT or LARGETEXT (documents for example)?

I have worked around this at my site with using the mysql command:

mysql> ALTER TABLE wiki_contents CHANGE text MEDIUMTEXT ;

but I'm afraid the next db migrate will mess it up, and others will hit it.

I suggest this is urgent priority, since data is lost.

Related issues:

Related to Redmine - Patch #1404: Raise wiki content page size Closed 2008-06-08

Has duplicate Redmine - Feature #3669: Wiki page size too small Closed 2009-07-24

Has duplicate Redmine - Defect #3777: Long wiki pages drop text when edited Closed 2009-08-25

Associated revisions

Revision 3254 - 2009-12-27 12:57 - Jean-Philippe Lang

Enlarge wiki content for MySQL databases (#1071).

Limit changed from 64KB to 16MB.

History

#1 - 2008-04-17 19:14 - W Snyder

There is also a BLOB in wiki_content_versions that should be MEDIUMBLOB or LARGEBLOB.

#2 - 2008-06-08 17:46 - Thomas Lecavelier

Patch provided for it there: #1404

Hoping it helps.

#3 - 2009-08-31 13:05 - Lars Erik Gullerud
https://www.redmine.org/issues/1404


As described in #3777 this bug leads to silent loss of data for project users, is there any estimate on what release(s) the patch in #1404 or a similar

solution will be included in?

#4 - 2009-11-04 19:34 - W Snyder

Ping - could the patch or this get integrated?  This seems a serious defect.  Thanks.

#5 - 2009-11-05 13:25 - Jean-Philippe Lang

- Category set to Database

#6 - 2009-12-18 23:52 - Thomas Lecavelier

- File raise_wiki_content_size.patch added

- Assignee set to Jean-Philippe Lang

Rewrite from the patch #1404 : set wiki content and versioned content up to 16MB.

I can eventually add a wiki content truncation detection system, but it'd cost a reload of the modified instance. Is this patch ok or should I add the

check?

#7 - 2009-12-19 01:28 - W Snyder

IMO 16MB is fine.  It becomes a HTML page not an attachment, so 16MB is enough.

#8 - 2009-12-26 22:00 - Prof. Dr. YoMan

Will this go into 0.9?

I needed to split up some documents with big tables into two or more parts which isnt really nice.

#9 - 2009-12-27 13:00 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 0.9.0

- Affected version (unused) set to 0.8.7

- Resolution set to Fixed

- Affected version set to 0.8.7

Fixed in r3254.

A mysql specific migration was added to raise the limit.

#10 - 2009-12-27 13:34 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 0.9-stable in r3255.

Files

raise_wiki_content_size.patch 1.5 KB 2009-12-18 Thomas Lecavelier
